## noweb 2.11b

=== Makefile ===
# Copyright 1995-2006 by Norman Ramsey.  All rights reserved.
# See file COPYRIGHT for more information.
#
# Don't edit this file; you should be editing the Makefiles in the
# src and contrib directories.

VERSION=2.11b
SHELL=/bin/sh
CINAME=-Nv`echo $(VERSION) | tr . _`
CIMSG=-f -m'standard checkin preparing to export version $(VERSION)'

source: ;	for i in src; do (cd $$i; make source); done
www: ;		for i in src/xdoc examples; do (cd $$i; make www); done

clean:
	for i in src examples contrib; do (cd $$i; make clean); done
	rm -f nwsrcfilter *~ */*~
clobber: clean
	for i in src examples contrib; do (cd $$i; make clobber); done

DATE:
	(./echo -n "Version $(VERSION) of "; date) > DATE

versioncheck:
	@if [ -z "$(UPPERVERSION)" ]; then echo "run 'make versioncheck' in the parent directory, not here" 1>&2; exit 1; fi
	@if [ "$(VERSION)" = "$(UPPERVERSION)" ]; then echo "Version $(VERSION) OK in Makefile"; else echo "Version mismatch in Makefile: upper $(UPPERVERSION) lower $(VERSION)"; exit 1; fi
	@if [ "$(VERSION)" = "`awk '{print $$2}' DATE`" ]; then echo "Version $(VERSION) OK in DATE"; else ./echo -n "Version mismatch in DATE: "; cat DATE; exit 1; fi
	@if fgrep -s "This is version $(VERSION) of " README; then echo "Version $(VERSION) OK in README"; else echo "Version mismatch in README"; exit 1; fi
	@if fgrep -s "CHANGES FOR VERSION $(VERSION)" CHANGES; then echo "Version $(VERSION) OK in CHANGES"; else echo "Version mismatch in CHANGES"; exit 1; fi
	@if fgrep -s " for version $(VERSION) of" src/README; then echo "Version $(VERSION) OK in src/README"; else echo "Version mismatch in src/README"; exit 1; fi
	@if fgrep -s "version $(VERSION)" src/xdoc/notangle.txt; then echo "Version $(VERSION) OK in src/xdoc/notangle.txt"; else echo "Version mismatch in src/xdoc/notangle.txt"; exit 1; fi

nwsrcfilter: nwsrcfilter.icn
	icont nwsrcfilter

tarnames: clean source nwsrcfilter DATE
	find . -not -type d -not -name FAQ.old -print | ./nwsrcfilter

tar:	clean source nwsrcfilter DATE emacscheck
	chmod +w src/Makefile
	rm -rf /tmp/noweb-$(VERSION)
	mkdir /tmp/noweb-$(VERSION)
	tar cvf - `find . ! -type d -not -name FAQ.old -print | ./nwsrcfilter` | (cd /tmp/noweb-$(VERSION) ; tar xf - )
	(cd /tmp; tar cf - noweb-$(VERSION) ) | gzip -v > ../noweb-$(VERSION).tgz
	rm -f ../noweb.tgz
	(cd .. ; ln -s noweb-$(VERSION).tgz noweb.tgz)
	chmod -w src/Makefile

emacscheck:
	-echo "Checking to ensure distribution matches personal emacs mode" 1>&2
	diff src/elisp/noweb-mode.el $(HOME)/emacs/noweb-mode.el

checkin:
	(cd src; make "CINAME=$(CINAME)" "CIMSG=$(CIMSG)" checkin)

=== examples/Makefile ===
WWW=$(HOME)/www/noweb/examples
SHELL=/bin/sh
NOTANGLE=nountangle -m3
NOWEAVE=noweave

.SUFFIXES: .i3 .m3 .nw .tex .dvi .html
.nw.html: ;	$(NOWEAVE) -filter l2h -filter btdefn -index -html $*.nw > $*.html
.nw.tex: ;	$(NOWEAVE) -index -filter btdefn $*.nw > $*.tex
.nw.i3:	;	$(NOTANGLE) -Rinterface -L'<* LINE %L "%F" *>%N' $*.nw > $*.i3
.nw.m3:	;	$(NOTANGLE) -L'<* LINE %L "%F" *>%N' $*.nw > $*.m3
.tex.dvi: ;	latex '\scrollmode \input '"$*"; while grep -s 'Rerun to get cross-references right' $*.log; do latex '\scrollmode \input '"$*"; done

HTML=breakmodel.html compress.html dag.html graphs.html mipscoder.html primes.html \
     scanner.html test.html tree.html wc.html wcni.html


www: $(HTML)
	copy -v $(HTML) $(WWW)
	copy -v README.h $(WWW)/index.html

clean:
	rm -f *~ *.aux *.tex *.dvi *.log *.html *.toc

clobber: clean

compress.html: compress.nw
	$(NOWEAVE) -filter l2h -index -autodefs c -html compress.nw > compress.html
compress.tex: compress.nw
	$(NOWEAVE) -index -autodefs c compress.nw > compress.tex
dag.html: dag.nw
	$(NOWEAVE) -filter l2h -index -autodefs icon -html dag.nw > dag.html
dag.tex: dag.nw
	$(NOWEAVE) -index -autodefs icon dag.nw > dag.tex
mipscoder.html: mipscoder.nw
	$(NOWEAVE) -filter l2h -index -autodefs sml -html mipscoder.nw > mipscoder.html
mipscoder.tex: mipscoder.nw
	$(NOWEAVE) -autodefs sml -index mipscoder.nw > mipscoder.tex
scanner.html: scanner.nw
	$(NOWEAVE) -filter l2h -index -autodefs c -autodefs yacc -html scanner.nw > scanner.html
scanner.tex: scanner.nw
	$(NOWEAVE) -index -autodefs c -autodefs yacc scanner.nw > scanner.tex
tree.html: tree.nw
	$(NOWEAVE) -filter l2h -index -autodefs icon -html tree.nw > tree.html
tree.tex: tree.nw
	$(NOWEAVE) -index -autodefs icon tree.nw > tree.tex
test.html: test.nw
	$(NOWEAVE) -filter l2h -html test.nw > test.html
test.tex: test.nw
	$(NOWEAVE) test.nw > test.tex
wc.html: wc.nw2html
	$(NOWEAVE) -autodefs c -filter btdefn -index -html -n wc.nw2html > wc.html
wcni.html: wc.nw2html
	$(NOWEAVE) -filter btdefn -x     -html -n wc.nw2html > wcni.html
wc.tex: wc.nw
	$(NOWEAVE) -autodefs c -filter btdefn -index wc.nw > wc.tex

=== src/Makefile ===
# Copyright 1995-2001 by Norman Ramsey.  All rights reserved.
# See file COPYRIGHT for more information.
#
# Adjust these two lines for your ANSI C compiler
CC=gcc -ansi -pedantic
CFLAGS=
# If you have Icon, you should use the Icon versions of the noweb pipeline.
# Set LIBSRC=icon
LIBSRC=awk
# If you have no Icon compiler, but do have icont, make ICONC=icont
ICONC=iconc
ICONT=icont

# BIN is where the commands (notangle, noweave, nountangle, noroots) land
# LIB is where the pieces of the pipes (nt, markup, unmarkup) are stored
# MAN is the root of your local man pages directory
# MANEXT is the extension for your commands' man pages (usually 1 or l)
# MAN7EXT is the extension for the nowebstyle man page (usually 7)
# TEXINPUTS is the directory for TeX macro files
# ELISP is the directory for emacs lisp files, or /dev/null not to install
BIN=/usr/local/noweb
LIB=/usr/local/noweb/lib
MAN=/usr/local/noweb/man
MANEXT=1
MAN7EXT=7
TEXINPUTS=/usr/local/tex/inputs
ELISP=/dev/null

# change WEAVE if you want a different version of noweave to be installed
WEAVE=noweave		

# Stop editing.	 No user-serviceable parts below.
SHELL=/bin/sh
CINAME=
CIMSG=
MANDIR=$(MAN)/man$(MANEXT)
MAN7DIR=$(MAN)/man$(MAN7EXT)
CATDIR=$(MAN)/cat$(MANEXT)
CAT7DIR=$(MAN)/cat$(MAN7EXT)
LIBNAME=$(LIB)
TEXNAME=$(TEXINPUTS)

all: 
	cd c; make "CC=$(CC)" "CFLAGS=$(CFLAGS)" all 
	for i in shell lib xdoc tex; do (cd $$i; make all); done
	cd $(LIBSRC); make "ICONT=$(ICONT)" "ICONC=$(ICONC)" all

FAQ: FAQ.html
	sleep 1; html2ascii FAQ.html > FAQ

FAQ.html: $(HOME)/www/noweb/FAQ.html
	rm -f FAQ.html
	/bin/cp $(HOME)/www/noweb/FAQ.html FAQ.html
	chmod -w FAQ.html

install: install-code install-man install-tex install-elisp
uninstall: uninstall-code uninstall-man uninstall-tex uninstall-elisp
	-rmdir $(BIN) $(LIB) 2>/dev/null

install-shell:
	-mkdir $(BIN) $(LIB) 2>/dev/null
	sed "s@|LIBDIR|@$(LIBNAME)@" shell/noweb > $(BIN)/noweb
	chmod +x $(BIN)/noweb
	sed "s@|LIBDIR|@$(LIBNAME)@" shell/notangle > $(BIN)/notangle
	chmod +x $(BIN)/notangle
	sed "s@|LIBDIR|@$(LIBNAME)@" shell/$(WEAVE) > $(BIN)/$(WEAVE)
	chmod +x $(BIN)/$(WEAVE)
	sed "s@|LIBDIR|@$(LIBNAME)@" shell/nountangle > $(BIN)/nountangle
	chmod +x $(BIN)/nountangle
	sed "s@|LIBDIR|@$(LIBNAME)@" shell/nodefs > $(BIN)/nodefs
	chmod +x $(BIN)/nodefs
	sed "s@|LIBDIR|@$(LIBNAME)@" shell/noroots > $(BIN)/noroots
	chmod +x $(BIN)/noroots
	sed "s@|LIBDIR|@$(LIBNAME)@" shell/nuweb2noweb > $(BIN)/nuweb2noweb
	chmod +x $(BIN)/nuweb2noweb
	sed "s@|LIBDIR|@$(LIBNAME)@" shell/cpif > $(BIN)/cpif
	chmod +x $(BIN)/cpif
	sed "s@|LIBDIR|@$(LIBNAME)@" shell/htmltoc > $(BIN)/htmltoc
	chmod +x $(BIN)/htmltoc
	sed "s@|LIBDIR|@$(LIBNAME)@" shell/noroff > $(BIN)/noroff
	chmod +x $(BIN)/noroff
	sed "s@|LIBDIR|@$(LIBNAME)@" shell/toroff > $(LIB)/toroff
	chmod +x $(LIB)/toroff
	cp shell/tmac.w $(LIB)

uninstall-shell:
	rm -f $(BIN)/noweb
	rm -f $(BIN)/notangle
	rm -f $(BIN)/$(WEAVE)
	rm -f $(BIN)/nountangle
	rm -f $(BIN)/nodefs
	rm -f $(BIN)/noroots
	rm -f $(BIN)/nuweb2noweb
	rm -f $(BIN)/cpif
	rm -f $(BIN)/htmltoc
	rm -f $(BIN)/noroff
	rm -f $(LIB)/toroff
	rm $(LIB)/tmac.w

install-code: install-shell
	-mkdir $(BIN) $(LIB) 2>/dev/null
	strip c/nt c/markup c/mnt c/finduses
	cp c/nt c/markup c/mnt c/finduses $(LIB)
	cd $(LIBSRC); make ICONT=$(ICONT) ICONC=$(ICONC) LIB=$(LIB) BIN=$(BIN) install
	cd lib; make LIB=$(LIB) install

uninstall-code: uninstall-shell
	rm $(LIB)/nt $(LIB)/markup $(LIB)/mnt $(LIB)/finduses 
	cd $(LIBSRC); make ICONT=$(ICONT) ICONC=$(ICONC) LIB=$(LIB) BIN=$(BIN) uninstall
	cd lib; make LIB=$(LIB) uninstall
install-man:
	-mkdir $(MAN) $(MANDIR) $(MAN7DIR) 2>/dev/null
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/cpif.1 > $(MANDIR)/cpif.$(MANEXT)
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/nodefs.1 > $(MANDIR)/nodefs.$(MANEXT)
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/noroots.1 > $(MANDIR)/noroots.$(MANEXT)
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/noweb.1 > $(MANDIR)/noweb.$(MANEXT)
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/noindex.1 > $(MANDIR)/noindex.$(MANEXT)
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/nuweb2noweb.1 > $(MANDIR)/nuweb2noweb.$(MANEXT)
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/notangle.1 > $(MANDIR)/notangle.$(MANEXT)
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/noroff.1 > $(MANDIR)/noroff.$(MANEXT)
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/sl2h.1 > $(MANDIR)/sl2h.$(MANEXT)
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/htmltoc.1 > $(MANDIR)/htmltoc.$(MANEXT)
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/nowebstyle.7 > $(MAN7DIR)/nowebstyle.$(MAN7EXT)
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/nowebfilters.7 > $(MAN7DIR)/nowebfilters.$(MAN7EXT)
	rm -f $(MANDIR)/noweave.$(MANEXT)
	(cd $(MANDIR); ln notangle.$(MANEXT) noweave.$(MANEXT))
	rm -f $(MANDIR)/nountangle.$(MANEXT)
	(cd $(MANDIR); ln notangle.$(MANEXT) nountangle.$(MANEXT))
uninstall-man:
	rm -f $(MANDIR)/cpif.$(MANEXT)
	rm -f $(MANDIR)/nodefs.$(MANEXT)
	rm -f $(MANDIR)/noroots.$(MANEXT)
	rm -f $(MANDIR)/noweb.$(MANEXT)
	rm -f $(MANDIR)/noindex.$(MANEXT)
	rm -f $(MANDIR)/nuweb2noweb.$(MANEXT)
	rm -f $(MANDIR)/notangle.$(MANEXT)
	rm -f $(MANDIR)/noroff.$(MANEXT)
	rm -f $(MANDIR)/sl2h.$(MANEXT)
	rm -f $(MANDIR)/htmltoc.$(MANEXT)
	rm -f $(MAN7DIR)/nowebstyle.$(MAN7EXT)
	rm -f $(MAN7DIR)/nowebfilters.$(MAN7EXT)
	rm -f $(MANDIR)/noweave.$(MANEXT)
	rm -f $(MANDIR)/nountangle.$(MANEXT)
install-gzipped-man:
	-mkdir $(MAN) $(MANDIR) $(MAN7DIR) 2>/dev/null
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/cpif.1  | gzip -9 > $(MANDIR)/cpif.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/nodefs.1  | gzip -9 > $(MANDIR)/nodefs.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/noroots.1  | gzip -9 > $(MANDIR)/noroots.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/noweb.1  | gzip -9 > $(MANDIR)/noweb.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/noindex.1  | gzip -9 > $(MANDIR)/noindex.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/nuweb2noweb.1  | gzip -9 > $(MANDIR)/nuweb2noweb.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/notangle.1  | gzip -9 > $(MANDIR)/notangle.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/noroff.1  | gzip -9 > $(MANDIR)/noroff.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/sl2h.1  | gzip -9 > $(MANDIR)/sl2h.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/htmltoc.1  | gzip -9 > $(MANDIR)/htmltoc.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/nowebstyle.7  | gzip -9 > $(MAN7DIR)/nowebstyle.$(MAN7EXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/nowebfilters.7  | gzip -9 > $(MAN7DIR)/nowebfilters.$(MAN7EXT).gz
	rm -f $(MANDIR)/noweave.$(MANEXT).gz
	(cd $(MANDIR); ln notangle.$(MANEXT).gz noweave.$(MANEXT).gz)
	rm -f $(MANDIR)/nountangle.$(MANEXT).gz
	(cd $(MANDIR); ln notangle.$(MANEXT).gz nountangle.$(MANEXT).gz)
install-preformat-man:
	-echo "Warning: install-preformat-man is obsolete, even on Slackware systems" 1>&2
	-mkdir $(MAN) $(CATDIR) $(CAT7DIR) 2>/dev/null
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/cpif.txt  | gzip > $(CATDIR)/cpif.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/nodefs.txt  | gzip > $(CATDIR)/nodefs.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/noroots.txt  | gzip > $(CATDIR)/noroots.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/noweb.txt  | gzip > $(CATDIR)/noweb.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/noindex.txt  | gzip > $(CATDIR)/noindex.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/nuweb2noweb.txt  | gzip > $(CATDIR)/nuweb2noweb.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/notangle.txt  | gzip > $(CATDIR)/notangle.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/noroff.txt  | gzip > $(CATDIR)/noroff.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/sl2h.txt  | gzip > $(CATDIR)/sl2h.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/htmltoc.txt  | gzip > $(CATDIR)/htmltoc.$(MANEXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/nowebstyle.txt  | gzip > $(CAT7DIR)/nowebstyle.$(MAN7EXT).gz
	sed -e "s@|LIBDIR|@$(LIBNAME)@" -e "s@|TEXINPUTS|@$(TEXNAME)@" xdoc/nowebfilters.txt  | gzip > $(CAT7DIR)/nowebfilters.$(MAN7EXT).gz
	rm -f $(CATDIR)/noweave.$(MANEXT).gz
	(cd $(CATDIR); ln notangle.$(MANEXT).gz noweave.$(MANEXT).gz)
	rm -f $(CATDIR)/nountangle.$(MANEXT).gz
	(cd $(CATDIR); ln notangle.$(MANEXT).gz nountangle.$(MANEXT).gz)
install-tex:
	-mkdir $(TEXINPUTS) 2>/dev/null
	cp tex/nwmac.tex tex/noweb.sty $(TEXINPUTS)
	-texhash || echo "Program texhash not found or failed"

uninstall-tex:
	rm -f $(TEXINPUTS)/nwmac.tex $(TEXINPUTS)/noweb.sty

install-elisp:
	-mkdir $(ELISP) 2>/dev/null
	cp elisp/noweb-mode.el $(ELISP)

uninstall-elisp:
	rm -f $(ELISP)/noweb-mode.el
checkin:
	for i in lib tex xdoc; do (cd $$i; make "CINAME=$(CINAME)" "CIMSG=$(CIMSG)" checkin); done
	for i in c icon awk; do (cd $$i; ci -l $(CINAME) $(CIMSG) *.nw Makefile); done
	(cd elisp; ci -l $(CINAME) $(CIMSG) *.el)
	ci -l $(CINAME) $(CIMSG) Makefile.nw INSTALL INSTALL.DOS README FAQ COPYRIGHT nwmake *.nw

source: FAQ
	for i in c shell lib xdoc icon awk tex; do (cd $$i; make CPIF=">" source); done
	sleep 1
	for i in c shell lib xdoc icon awk tex; do (cd $$i; make touch); done
touch:
	touch FAQ
	for i in c shell lib xdoc icon awk tex; do (cd $$i; make touch); done
clean:
	for i in c shell lib xdoc icon awk tex; do (cd $$i; make clean); done
	rm -f nwsrcfilter *~ */*~

clobber: clean
	for i in c lib icon awk xdoc; do (cd $$i; make clobber); done

Makefile: Makefile.nw
	chmod +w Makefile
	notangle -R'script' Makefile.nw | sh > Makefile
	chmod -w Makefile

=== contrib/jobling/Makefile ===
PROG = correct-refs
DOCSRC = $(PROG).tex 
PROGSRC = $(PROG).csh 
SCRIPTS = list-anchors.awk awk-scripts.awk

all:    correct-refs.tex correct-refs.csh all-scripts

correct-refs.tex: correct-refs.nw
	noweave -delay -index $< > $@

correct-refs.csh: correct-refs.nw
	notangle -Rcorrect-refs.csh $< | cpif $@
	chmod +x $@

all-scripts: correct-refs.nw
	notangle -Rlist-anchors.awk $< | cpif list-anchors.awk
	notangle -Rawk-scripts.awk $< | cpif awk-scripts.awk
	touch all-scripts

install:
	cp correct-refs.csh $(HOME)/bin
	cp *.awk $(HOME)/lib

tidy:
	-rm *~ *% *.bak *.log *.blg

clean:  tidy
	-rm *.ps *.dvi *.toc *.aux *.bbl *.dep $(PROG).shar

realclean: clean
	-rm $(DOCSRC) $(PROGSRC) $(SCRIPTS)

shar:
	shar README Makefile $(PROG).nw > $(PROG).shar

=== contrib/norman/Makefile ===
LIB=/dev/null	# to be overridden
DIRS=numarkup

all: ;	for i in $(DIRS); do (cd $$i; make ICONC=$(ICONC) ICONT=$(ICONT) all); done
install: ;	for i in $(DIRS); do (cd $$i; make LIB=$(LIB) BIN=$(BIN) install); done
source: ;	for i in $(DIRS); do (cd $$i; make source); done
clean: ;	for i in $(DIRS); do (cd $$i; make clean); done
iconlib:	# cheap hack for slackmake
	true

=== src/awk/Makefile ===
# Copyright 1993 by Norman Ramsey.  All rights reserved.
# See file COPYRIGHT for more information.

LIB=/dev/null  # must be overridden
BIN=/dev/null  # must be overridden
SHELL=/bin/sh

LIBEXECS=totex noidx tohtml
BINEXECS=noindex 
EXECS=$(BINEXECS) $(LIBEXECS)

all:	$(EXECS)
	chmod +x $(EXECS)
sources: $(EXECS)
touch: $(EXECS)
	touch $(EXECS)

install: all
	cp $(LIBEXECS) $(LIB)
	cp $(BINEXECS) $(BIN)

source: $(EXECS)

totex: totex.nw
	notangle -Rtotex totex.nw > totex

noidx: noidx.nw
	notangle noidx.nw > noidx

tohtml: tohtml.nw
	notangle tohtml.nw > tohtml

noindex: noindex.nw 
	notangle -Rnoindex noindex.nw > noindex

clean: ;	rm -f *.log *.blg *.dvi *.toc *.aux *.tex *~ *.html
clobber: clean
	rm -f totex noidx tohtml noindex

=== src/c/Makefile ===
# Copyright 1991 by Norman Ramsey.  All rights reserved.
# See file COPYRIGHT for more information.
#
# Adjust these two lines for your ANSI C compiler
CC=gcc -ansi -pedantic
CFLAGS=

# after installation, make doc.dvi for literate version

FINDUSESOBJS=columns.o errors.o finduses.o match.o getline.o recognize.o
MNTOBJS=mnt.o getline.o match.o modules.o modtrees.o notangle.o \
	strsave.o errors.o columns.o
TANGLEOBJS=notangle.o getline.o match.o modules.o modtrees.o strsave.o \
	main.o errors.o columns.o
MARKUPOBJS=markmain.o strsave.o markup.o errors.o getline.o columns.o
FILES=markmain.nw markup.nw \
      main.nw notangle.nw match.nw mnt.nw modules.nw modtrees.nw \
      finduses.nw recognize.nw \
      getline.nw columns.nw errors.nw strsave.nw 

SRCS=columns.h errors.h getline.h markup.h match.h modtrees.h \
	modules.h notangle.h recognize.h strsave.h \
	columns.c errors.c getline.c finduses.c main.c markmain.c markup.c match.c \
	mnt.c modtrees.c modules.c notangle.c readme.c recognize.c strsave.c \
        markup.ps
NAME='name of RCS version'

NOTANGLE=notangle
SHELL=/bin/sh
# set this for CPIF and then distribute tools with bad timestamps...
#CPIF=| cpif
CPIF=>

.SUFFIXES: .nw .tex .dvi .h
.nw.tex: ;	noweave $*.nw >$*.tex
.nw.c: ;	$(NOTANGLE) -L $*.nw >$*.c
.nw.o: ;	$(NOTANGLE) -L $*.nw >$*.c
		$(CC) $(CFLAGS) -c $*.c
.nw.h: ;	$(NOTANGLE) -Rheader $*.nw $(CPIF) $*.h

all:	nt markup mnt finduses

nt:	$(TANGLEOBJS)
	$(CC) $(CFLAGS) -o nt $(TANGLEOBJS)

finduses:	$(FINDUSESOBJS)
	$(CC) $(CFLAGS) -o finduses $(FINDUSESOBJS)

markup:	$(MARKUPOBJS)
	$(CC) $(CFLAGS) -o markup $(MARKUPOBJS)

mnt:	$(MNTOBJS)
	$(CC) $(CFLAGS) -o mnt $(MNTOBJS)

source:	$(SRCS)
touch: $(SRCS)
	touch $(SRCS)

clean: ;	rm -f nt markup mnt finduses fakepretty
		rm -f core *.makelog *.tex *.log *.blg *.dvi *.o *.toc *~ 
		rm -f *.atac *.trace *.html

clobber:	clean
		rm -f $(SRCS) fakepretty.c pretty.[ch]

checkin:	$(FILES) doc.nw
		ci $(CINAME) $(CIMSG) -l $(FILES) doc.nw

doc.tex:	doc.nw
	cp doc.nw doc.tex

allcode.tex: $(FILES)
	noweave -n -index $(FILES) > allcode.tex

doc.dvi:	doc.tex allcode.tex
	latex doc; latex doc; latex doc

doc.ps: doc.dvi
	dvips doc

markup.ps: markmain.nw
	notangle -Rmarkup.dot markmain.nw | dot -Tps > markup.ps

FPOBJS=fakepretty.o pretty.o errors.o getline.o match.o strsave.o columns.o

fakepretty.o: pretty.h

fakepretty: $(FPOBJS)
	$(CC) $(CFLAGS) -o fakepretty $(FPOBJS)


columns.o:       columns.h 
errors.o:        errors.h 
finduses.o:     errors.h match.h getline.h recognize.h 
getline.o:      columns.h errors.h getline.h 
main.o:         notangle.h errors.h columns.h modules.h modtrees.h
markmain.o:     errors.h markup.h getline.h columns.h 
markup.o:       markup.h strsave.h errors.h 
match.o:        match.h 
mnt.o:          modules.h modtrees.h notangle.h errors.h columns.h strsave.h 
modtrees.o:     strsave.h modules.h modtrees.h errors.h 
modules.o:      modules.h modtrees.h errors.h columns.h strsave.h 
notangle.o:     strsave.h getline.h modules.h modtrees.h errors.h match.h notangle.h 
pretty.o:	getline.h match.h errors.h pretty.h strsave.h 
readme.o:       
recognize.o:    
strsave.o:      strsave.h errors.h

=== src/icon/Makefile ===
SHELL=/bin/sh
LIB=/dev/null		# to be overridden
BIN=/dev/null		# to be overridden
ICONC=iconc -p -L/usr/X11R6/lib     # override to icont if no iconc on your system
ICONT=icont		# override to iconc if all filters should be compiled
CPIF=| cpif		# change to ">" to insure all sources always made

LIBEXECS=totex disambiguate noidx tohtml elide l2h docs2comments \
       autodefs.tex autodefs.icon autodefs.yacc autodefs.sml autodefs.pascal \
	autodefs.promela autodefs.lrtl autodefs.asdl autodefs.mmix xchunks pipedocs
LIBSPECIAL=autodefs.cee
BINEXECS=noindex sl2h htmltoc
EXECS=$(LIBEXECS) $(BINEXECS) $(LIBSPECIAL)
SRCS=totex.icn disambiguate.icn noidx.icn texdefs.icn icondefs.icn \
        yaccdefs.icn noindex.icn smldefs.icn tohtml.icn cdefs.icn elide.icn \
	l2h.icn sl2h.icn pascaldefs.icn promeladefs.icn lrtldefs.icn asdldefs.icn \
	mmixdefs.icn htmltoc.icn xchunks.icn

.SUFFIXES: .nw .icn .html .tex .dvi
.nw.icn:
	notangle -L'#line %-1L "%F"%N' $*.nw $(CPIF) $*.icn
.nw.html:
	noweave -filter l2h -autodefs icon -html -index $*.nw | htmltoc > $*.html
.nw.tex:
	noweave -delay -autodefs icon -index $*.nw > $*.tex
.tex.dvi:
	latex $*; while grep -s 'Rerun to get cross' $*.log; do latex $*; done

all: $(EXECS)
source: $(SRCS)
touch: $(SRCS)
	touch $(SRCS)

install: $(EXECS)
	cp $(LIBEXECS) $(LIB)
	cp $(BINEXECS) $(BIN)
	cp $(LIBSPECIAL) $(LIB)/autodefs.c

clean:
	/bin/rm -f *.tex *.dvi *.aux *.log *.blg *.bbl *~  *.toc *.html *.u1 *.u2 
	/bin/rm -f *.[ch] *.ps *.gz
	/bin/rm -f $(EXECS)
	/bin/rm -f sl2h

clobber: clean
	/bin/rm -f *.icn

texdefs.icn: texdefs.nw defns.nw
	notangle -L'#line %-1L "%F"%N' texdefs.nw defns.nw $(CPIF) texdefs.icn
icondefs.icn: icondefs.nw defns.nw
	notangle -L'#line %-1L "%F"%N' icondefs.nw defns.nw $(CPIF) icondefs.icn
yaccdefs.icn: yaccdefs.nw defns.nw
	notangle -L'#line %-1L "%F"%N' yaccdefs.nw defns.nw $(CPIF) yaccdefs.icn
smldefs.icn: smldefs.nw defns.nw
	notangle -L'#line %-1L "%F"%N' smldefs.nw defns.nw $(CPIF) smldefs.icn
cdefs.icn: cdefs.nw defns.nw
	notangle -L'#line %-1L "%F"%N' cdefs.nw defns.nw $(CPIF) cdefs.icn
pascaldefs.icn: pascaldefs.nw defns.nw
	notangle -L'#line %-1L "%F"%N' pascaldefs.nw defns.nw $(CPIF) pascaldefs.icn
promeladefs.icn: promeladefs.nw defns.nw
	notangle -L'#line %-1L "%F"%N' promeladefs.nw defns.nw $(CPIF) promeladefs.icn
lrtldefs.icn: lrtldefs.nw defns.nw
	notangle -L'#line %-1L "%F"%N' lrtldefs.nw defns.nw $(CPIF) lrtldefs.icn
asdldefs.icn: asdldefs.nw defns.nw
	notangle -L'#line %-1L "%F"%N' asdldefs.nw defns.nw $(CPIF) asdldefs.icn
mmixdefs.icn: mmixdefs.nw defns.nw
	notangle -L'#line %-1L "%F"%N' mmixdefs.nw defns.nw $(CPIF) mmixdefs.icn

autodefs.tex: texdefs.icn
	$(ICONT) -o autodefs.tex texdefs.icn

autodefs.icon: icondefs.icn
	$(ICONC) -o autodefs.icon icondefs.icn

autodefs.yacc: yaccdefs.icn
	$(ICONT) -o autodefs.yacc yaccdefs.icn

autodefs.sml: smldefs.icn
	$(ICONT) -o autodefs.sml smldefs.icn

autodefs.cee: cdefs.icn
	$(ICONT) -o autodefs.cee cdefs.icn

autodefs.pascal: pascaldefs.icn
	$(ICONT) -o autodefs.pascal pascaldefs.icn

autodefs.promela: promeladefs.icn
	$(ICONT) -o autodefs.promela promeladefs.icn

autodefs.lrtl: lrtldefs.icn
	$(ICONT) -o autodefs.lrtl lrtldefs.icn

autodefs.asdl: asdldefs.icn
	$(ICONT) -o autodefs.asdl asdldefs.icn

autodefs.mmix: mmixdefs.icn
	$(ICONT) -o autodefs.mmix mmixdefs.icn

totex: totex.icn
	$(ICONC) totex.icn

totexnr: totexnr.icn
	$(ICONT) totexnr.icn

tohtml: tohtml.icn
	$(ICONC) tohtml.icn

docs2comments: docs2comments.icn
	$(ICONT) docs2comments.icn  # no longer compiles with iconc

xchunks: xchunks.icn
	$(ICONT) xchunks.icn

l2h.icn: l2h.nw
	notangle -L'#line %-1L "%F"%N' -R'l2h.icn' l2h.nw $(CPIF) l2h.icn
l2h: l2h.icn
	$(ICONT) -o l2h l2h.icn   # no longer compiles with iconc

sl2h.icn: l2h.nw
	notangle -L'#line %-1L "%F"%N' -R'sl2h.icn' l2h.nw $(CPIF) sl2h.icn
sl2h: sl2h.icn
	$(ICONT) -o sl2h sl2h.icn   # no longer compiles with iconc

noindex: noindex.icn
	$(ICONT) noindex.icn

noidx: noidx.icn
	$(ICONT) noidx.icn  # no longer compiles with iconc

elide: elide.icn
	$(ICONT) elide.icn

pipedocs: pipedocs.icn
	$(ICONT) pipedocs.icn

pdcached: pdcached.icn
	$(ICONT) pdcached.icn

disambiguate: disambiguate.icn
	$(ICONT) disambiguate.icn

htmltoc: htmltoc.icn
	$(ICONT) htmltoc.icn

=== src/lib/Makefile ===
# Copyright 1993 by Norman Ramsey.  All rights reserved.
# See file COPYRIGHT for more information.

LIB=/dev/null
SHELL=/bin/sh
CINAME=
CIMSG=
RCSFILES=emptydefn toascii.nw unmarkup Makefile nwmtime pipedocs h2a btdefn

all: toascii
	chmod +x unmarkup emptydefn toascii nwmtime pipedocs h2a btdefn

install: all
	cp unmarkup emptydefn toascii nwmtime h2a btdefn $(LIB)
	sed 's@|LIBDIR|@$(LIB)@g' pipedocs > $(LIB)/pipedocs
	chmod +x $(LIB)/pipedocs

checkin:
	ci -l $(CINAME) $(CIMSG) $(RCSFILES)

source: toascii
touch: toascii
	touch toascii

toascii: toascii.nw
	notangle -Rtoascii toascii.nw > toascii

clean: ;	rm -f *.log *.blg *.dvi *.toc *.aux *.tex *~
clobber: clean
	rm -f toascii

=== src/xdoc/Makefile ===
WWW=$(HOME)/www/noweb
SHELL=/bin/sh
.SUFFIXES: .1 .7 .txt .ps
.1.txt: ;	nroff -man $*.1 > $*.txt
.1.ps: ;	psroff -t -man $*.1 > $*.ps
.7.txt: ;	nroff -man $*.7 > $*.txt
.7.ps: ;	psroff -t -man $*.7 > $*.ps

MANPAGES=notangle.1   cpif.1   noweb.1   nodefs.1   noroots.1   noindex.1   \
         nowebstyle.7   nowebfilters.7   nuweb2noweb.1   sl2h.1 htmltoc.1   \
	 noroff.1
TXTPAGES=notangle.txt cpif.txt noweb.txt nodefs.txt noroots.txt noindex.txt \
         nowebstyle.txt nowebfilters.txt nuweb2noweb.txt sl2h.txt htmltoc.txt   \
	 noroff.txt
SRCS=$(MANPAGES) $(TXTPAGES)

NAME="name of version checked in"
CIMSG="message for version checked in"
RCSFILES=*.nw *.tex Makefile
DOVERSION=./doversion

all: $(SRCS)
source: $(SRCS)
touch: $(SRCS)
	touch $(SRCS)

www: $(WWW)/onepage.ps $(WWW)/guide.ps $(WWW)/guide.html

checkin:
	ci -l $(CINAME) $(CIMSG) $(RCSFILES)

$(WWW)/onepage.ps: onepage.ps
	cp onepage.ps $(WWW)

$(WWW)/guide.ps: guide.ps
	cp guide.ps $(WWW)

$(WWW)/guide.html: guide.html
	cp guide.html $(WWW)

notangle.1: manpage.nw ../shell/noweave.nw docdate.nw
	notangle -t8 -Rnotangle.1  manpage.nw ../shell/noweave.nw docdate.nw | $(DOVERSION) > notangle.1

nowebstyle.7: manpage.nw ../tex/support.nw docdate.nw
	notangle -t8 -Rnowebstyle.7 manpage.nw ../tex/support.nw docdate.nw | $(DOVERSION) > nowebstyle.7

nowebfilters.7: nowebfilters.nw docdate.nw
	notangle -t8 nowebfilters.nw docdate.nw | $(DOVERSION) > nowebfilters.7

noweb.1: manpage.nw docdate.nw
	notangle -t8 -Rnoweb.1 manpage.nw docdate.nw | $(DOVERSION) > noweb.1

nodefs.1: nodefs.nw docdate.nw
	notangle -t8 nodefs.nw docdate.nw | $(DOVERSION) > nodefs.1

noroots.1: noroots.nw docdate.nw
	notangle -t8 noroots.nw docdate.nw | $(DOVERSION) > noroots.1

noindex.1: noindex.nw docdate.nw
	notangle -t8 noindex.nw docdate.nw | $(DOVERSION) > noindex.1

sl2h.1: sl2h.nw docdate.nw
	notangle -t8 sl2h.nw docdate.nw | $(DOVERSION) > sl2h.1

htmltoc.1: htmltoc.nw docdate.nw
	notangle -t8 htmltoc.nw docdate.nw | $(DOVERSION) > htmltoc.1

cpif.1: manpage.nw docdate.nw
	notangle -t8 -Rcpif.1  manpage.nw docdate.nw | $(DOVERSION) > cpif.1

nuweb2noweb.1: manpage.nw docdate.nw
	notangle -t8 -Rnuweb2noweb.1  manpage.nw docdate.nw | $(DOVERSION) > nuweb2noweb.1

noroff.1: noroff.nw docdate.nw
	notangle -t8 noroff.nw docdate.nw | $(DOVERSION) > noroff.1

wc.tex: ../../examples/wc.nw
	(cd ../../examples; noweave -n -index wc.nw) > wc.tex

techrep.dvi: techrep.tex wc.tex
	latex '\scrollmode \input '"techrep"
	while grep -s 'Rerun to get cross-references right' techrep.log; do latex '\scrollmode \input '"techrep"; done

onepage.dvi: onepage.tex
	latex '\scrollmode \input '"onepage"
	while grep -s 'Rerun to get cross-references right' onepage.log; do latex '\scrollmode \input '"onepage"; done

onepage.ps: onepage.dvi
	dvips -P cmz -o onepage.ps onepage

guide.dvi: guide.tex
	latex '\scrollmode \input '"guide"
	while grep -s 'Rerun to get cross-references right' guide.log; do latex '\scrollmode \input '"guide"; done

guide.ps: guide.dvi
	dvips -P cmz -o guide.ps guide

guide.uu: guide.ps
	gzip < guide.ps > guide.ps.gz
	uuencode guide.ps.gz < guide.ps.gz > guide.uu

guide.html: guide.dvi
	sl2h guide.tex | htmltoc > guide.html

clean: ;	/bin/rm -f *.dvi *.log *.blg *~ wc.tex *.ps *.gz *.uu *.html
clobber: clean
	rm -f *.1 *.7 *.txt

=== debian/changelog ===
noweb (2.11b-11.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop nowebm package and maintainer scripts. Closes: #878777.
  * Switch to debhelper 12 and dh.
    It handles manual pages, DEB_BUILD_OPTIONS.
  * Switch source format from dpatch to 3.0 (quilt) with DEP-3 headers.
    Drop empty 11_german. Inline 99_touch in d/rules.
    Merge and 01_debian and 12_nostrip.
  * Pass hardening flags to upstream Make. Closes: #661655.
  * Add watch file.
  * Switch copyright file to format 1.0.
  * Rules-Requires-Root: no.
  * Standards-Version: 4.5.0.
  * Set priority to optional from obsolete extra.
  * Switch Homepage URL to HTTPS.
  * Remove obsolete Apps section from doc-base registration.
  * Clean files generated by the build.
  * Wrap and sort dependencies..
  * Delete trailing whitespaces in d/changelog and d/rules.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 21 Jan 2020 12:31:45 +0100

noweb (2.11b-11) unstable; urgency=low

  * debian/control, debian/rules: we don't use iconc any more.
    (Closes: #835085)
  * debian/control, debian/copyright: update upstream's home page.

 -- Hubert Chathi <uhoreg@debian.org>  Fri, 26 Aug 2016 14:44:34 -0400

noweb (2.11b-10) unstable; urgency=low

  * debian/rules, debian/noweb.postinst, debian/noweb.postrm:
    * use dh_installtex to update TeX cache. (Closes: #814639)
  * debian/noweb.emacsen-startup:
    * use \' instead of $ in auto-mode-alist. (Closes: #616165)

 -- Hubert Chathi <uhoreg@debian.org>  Thu, 25 Feb 2016 09:49:02 -0500

noweb (2.11b-9) unstable; urgency=low

  * debian/patches/99_touch.dpatch: Add src/shell/noweave to the list of touched
    files. (Closes: #781099)

 -- Hubert Chathi <uhoreg@debian.org>  Fri, 27 Mar 2015 22:06:25 -0400

noweb (2.11b-8) unstable; urgency=low

  * debian/control:
    * Add Multi-Arch field. (Closes: #666085)
    * Recommends texlive. (Closes: #537666)
  * debian/rules:
    * Get build flags from dpkg-buildflags. (Closes: #657656)
    * Handle noopt build option.
  * src/shell/nountangle: allow multiple -filter options. (Closes: #537668)
    (Thanks to Anon Sricharoenchai for the patch.)

 -- Hubert Chathi <uhoreg@debian.org>  Fri, 12 Sep 2014 12:09:40 -0400

noweb (2.11b-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/99_touch.dpatch: Add src/Makefile to the list of touched
    files. (Closes: #701056)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 21 Feb 2013 21:43:25 +0100

noweb (2.11b-7) unstable; urgency=low

  * debian/patches/13_bashism.dpatch: Fix unportable backslash in call to echo.
    (Closes: #486052)
  * debian/patches/00list: It helps if this file is updated.

 -- Hubert Chathi <uhoreg@debian.org>  Mon, 16 Jun 2008 13:16:19 -0400

noweb (2.11b-6) unstable; urgency=low

  * debian/patches/12_nostrip.dpatch: Comment out call to strip in
    Makefile. (Closes: #437653)

 -- Hubert Chathi <uhoreg@debian.org>  Wed, 11 Jun 2008 12:49:51 -0400

noweb (2.11b-5) unstable; urgency=low

  * Use debian/compat file for debhelper compatibility version instead of
    DH_COMPAT variable.
  * Use $(CURDIR) instead of $(PWD).
  * Use Homepage field instead of homepage in description.

 -- Hubert Chathi <uhoreg@debian.org>  Fri, 06 Jun 2008 16:53:31 -0400

noweb (2.11b-4) unstable; urgency=low

  * Remove/move old conffile /etc/emacs/site-start.d/50nowebm.el if
    present. (Closes: #454705)
  * Bump standards version to 3.7.3 (no changes needed).

 -- Hubert Chathi <uhoreg@debian.org>  Fri, 06 Jun 2008 10:00:27 -0400

noweb (2.11b-3) unstable; urgency=low

  * Use vmargin.sty instead of vpage.sty in onepage.tex. (Closes: #420614)
  * Fix German translation. (Closes: #418892)
  * Update build-depends for texlive.
  * Rename binary package to noweb, as per upstream's request. (Closes: #404507)

 -- Hubert Chan <uhoreg@debian.org>  Wed, 16 May 2007 14:22:41 -0400

noweb (2.11b-2) unstable; urgency=low

  * New maintainer. (Closes: #398109)
  * Acknowledge NMUs.  Thanks to Martin Zobel-Helas, Norman Ramsey, Joey
    Hess, Martin Shulze, Steve Langasek.  (Closes: #218050, #284691)
  * Fix patches so that we have a working clean target always, and push
    touching of roff output later into the patch.
  * Touch manpages to avoid rebuilding. (Closes: #394551)
  * Fix up a few minor build issues.
  * Update copyright file.
  * Remove obsolete README.Debian file, and other unnecessary cruft.
  * Add homepage to package description.

 -- Hubert Chan <uhoreg@debian.org>  Wed, 22 Nov 2006 18:13:25 -0500

noweb (2.11b-1.4) unstable; urgency=low

  * Non-maintainer upload.
  * build-depend on awk instead of gawk (Closes: #339835)

 -- Martin Zobel-Helas <zobel@ftbfs.de>  Fri, 15 Sep 2006 14:20:25 +0000

noweb (2.11b-1.3) unstable; urgency=low

  [ Norman Ramsey ]
  * Non-maintainer upload.
  * Fixed some problems with Makefiles
  * Added scopehack to distribution. Closes: #284691
  * New upstream release
       - Closes: #218050 (and a related problem with noweave -x)
       - Closes: #223376
       - notes limits of htmltoc in man page (won't fix #157853)

  [ Joey Hess ]
  * Cleaned up the changelog bug closings, etc.

 -- Joey Hess <joeyh@debian.org>  Tue, 13 Jun 2006 14:57:58 -0400

noweb (2.11a-1.0) unstable; urgency=low

  * NMU

  [ Norman Ramsey ]
  * New upstream release
  * The security release put in patches that caused noweb to be
    unbuildable without noweb.  Existing patches were split and
    reordered to eliminate this problem.  In the process, I transitioned
    the package from dbs to dpatch, as recommended in the dbs man pages
    and the New Maintainer's Guide.

  [ Joey Hess ]
  * Add a dependency on gawk, which provides nawk, which noroots uses.
    Closes: #339835
  * Fix path in README.Debian. Closes: #223376
  * Current standards-version.

 -- Joey Hess <joeyh@debian.org>  Fri,  9 Jun 2006 18:57:15 -0400

noweb (2.10c-3.3) unstable; urgency=low

  * NMU
  * Patch from Matt Kraai to complete xlibs-dev transition. Closes: #347128



=== debian/control ===
Source: noweb
Section: devel
Priority: optional
Maintainer: Hubert Chathi <uhoreg@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 icont,
 iconx,
# d/rules runs dh_installtex via 'dh --with=tex':
 tex-common,
 texlive-latex-base,
 texlive-latex-extra,
Standards-Version: 4.5.0
Homepage: https://www.cs.tufts.edu/~nr/noweb
Rules-Requires-Root: no

Package: noweb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 gawk,
 iconx,
Recommends: texlive
Multi-Arch: foreign
Description: WEB-like literate-programming tool
 noweb is designed to meet the needs of literate programmers while
 remaining as simple as possible.  Its primary advantages are
 simplicity, extensibility, and language-independence.
 .
 The noweb manual is only 3 pages; an additional page explains how to
 customize its LaTeX output.  noweb works ``out of the box'' with any
 programming language, and supports TeX, LaTeX, and HTML back ends.
 .
 The primary sacrifice relative to WEB is that code is not
 prettyprinted.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 by Joey Hess.
#
# Modified to use dbs by Federico Di Gregorio.
# Modified to change from dbs to dpatch by Norman Ramsey

DEB_BUILD_MAINT_OPTIONS := hardening=+all
DEB_CFLAGS_MAINT_APPEND := -Wall
include /usr/share/dpkg/buildflags.mk

ICONC=icont

MAKE_OPTIONS = LIBSRC=icon ICONC="${ICONC}" CFLAGS="${CFLAGS}"\
  CPPFLAGS='$(CPPFLAGS)' \
  LDFLAGS='$(LDFLAGS)' \
  BIN=/usr/bin LIB=/usr/lib/noweb \
  MAN=/usr/share/man \
  ELISP=/usr/share/emacs/site-lisp \
  TEXINPUTS=/usr/share/texmf/tex/plain/misc

%:
	dh $@ --sourcedirectory=src --with=tex

patch-awk-stamp:
	cd src && ./awkname awk
	touch patch-awk-stamp

# Authors: <nr@eecs.harvard.edu>, <uhoreg@debian.org>
# Update timestamp to avoid needing noweb to build noweb

# earlier patches hit the noweb file from which these files are derived;
# by touching them, we make it possible to build noweb without already
# having noweb.
	sleep 1 # so that we have at least a second difference in timestamps
	touch \
	  src/shell/tmac.w \
	  src/shell/noweave \
	  src/shell/noroff \
	  src/shell/toroff \
	  src/xdoc/notangle.1 \
	  src/xdoc/nowebstyle.7 \
	  src/xdoc/noweb.1 \
	  src/xdoc/cpif.1 \
	  src/xdoc/nuweb2noweb.1 \
	  src/tex/noweb.sty \
	  src/tex/nwmac.tex \
	  src/Makefile

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	dh_auto_clean
	if test -r patch-awk-stamp; then \
	  cd src && ./awkname nawk; \
	fi
	rm -f patch-awk-stamp
	rm -f contrib/norman/scopehack
	find . -name "*~" -name "core" -exec rm -f "{}" +

.PHONY: override_dh_auto_build
override_dh_auto_build: patch-awk-stamp
	dh_auto_build -- $(MAKE_OPTIONS)
	cd contrib/norman && $(ICONC) scopehack

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	cd src/xdoc && latex guide.tex && \
	  while grep -s 'Rerun to get cross-references right' guide.log; \
	  do latex guide.tex; done && \
	  dvips guide.dvi -o guide.ps
	cd src/xdoc && latex onepage.tex && \
	  while grep -s 'Rerun to get cross-references right' onepage.log; \
	  do latex onepage.tex; done && \
	  dvips onepage.dvi -o onepage.ps
	cd src/xdoc && ../icon/sl2h guide.tex | \
	  ../icon/htmltoc >guide.html
endif

.PHONY: override_dh_installexamples
override_dh_installexamples:
# removes because is in standard tetex (and other not-needed files)
	dh_installexamples -Xmulticol.sty -Xprimes.b examples/*

.PHONY: override_dh_auto_install
override_dh_auto_install:
	dh_auto_install -- $(MAKE_OPTIONS)
# gives tmac its name and move it to right directory
	mkdir -p debian/noweb/usr/share/groff/tmac
	mv debian/noweb/usr/lib/noweb/tmac.w \
	  debian/noweb/usr/share/groff/tmac/noweb.tmac
